> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token owners by contract

Get token owners for specific contract

` GET /insights/v1/tokens/owners `

Get token owners by contract

Get token owners for specific contract

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` chain ` (query, optional)

Use chain_id instead

- ` value `: type ` array `

  - example: ` [20,56,1] `

  - ` array item `: type ` number `

Example:

```json
[
  20,
  56,
  1
]
```

### ` chain_id ` (query, optional)

The chain ID(s) to request the data for. You can specify multiple chain IDs, up to a maximum of 55. Use repeated query parameters, e.g., `?chain_id=20&chain_id=56`. Optional, because a single chain can as well be specified as a subdomain

- ` value `: type ` array `

  - example: ` [20,56,1] `

  - ` array item `: type ` number `

Example:

```json
[
  20,
  56,
  1
]
```

### ` limit ` (query, optional)

- ` value `: type ` integer ` — The number of items to return

  - default: ` 20 `

  - example: ` 20 `

  - minimum: ` 0 `

  - maximum: ` 1000 `

Example:

```json
20
```

### ` page ` (query, optional)

- ` value `: type ` integer `; nullable — Page number (0-indexed). Maximum value depends on query parameters: 20 for regular queries, 500 when using aggregate or group_by parameters.

  - default: ` 0 `

  - example: ` 0 `

  - minimum: ` 0 `

Example:

```json
0
```

### ` contract_address ` (path, required)

- ` value `: type ` string `

  - Title: address (hex or ENS)

  - example: ` "vitalik.eth" `

Example:

```json
"vitalik.eth"
```

## Responses

### ` 200 ` — Success

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` data `

  - ` data `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` chain_id `, ` token_address `, ` owner_address `, ` balance `

      - ` chain_id `: type ` string `

      - ` token_address `: type ` string `

        - Title: address (hex or ENS)

        - example: ` "vitalik.eth" `

      - ` owner_address `: type ` string `

        - Title: address (hex or ENS)

        - example: ` "vitalik.eth" `

      - ` balance `: type ` string `

### ` 400 ` — Bad request

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

### ` 404 ` — Not found

### ` 500 ` — Internal server error

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//insights/v1/tokens/owners'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//insights/v1/tokens/owners', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//insights/v1/tokens/owners')
print(response.json())
```